Skip to content
This repository

HTTPS clone URL

Subversion checkout URL

You can clone with HTTPS or Subversion.

Download ZIP
Browse code

added gemspec

  • Loading branch information...
commit 432f225e1eb34a297c113642e546d34d8511163c 1 parent df5aacd
Mark Moseley mark-moseley authored

Showing 1 changed file with 57 additions and 0 deletions. Show diff stats Hide diff stats

  1. +57 0 linecache.gemspec
57 linecache.gemspec
... ... @@ -0,0 +1,57 @@
  1 +# -*- encoding: utf-8 -*-
  2 +
  3 +Gem::Specification.new do |s|
  4 + s.name = %q{linecache}
  5 + s.version = "0.5"
  6 +
  7 + s.required_rubygems_version = Gem::Requirement.new(">= 0") if s.respond_to? :required_rubygems_version=
  8 + s.authors = ["R. Bernstein"]
  9 + s.date = %q{2009-07-23}
  10 + s.description = %q{Columnize is a module for reading and caching lines. This may be useful for
  11 +example in a debugger where the same lines are shown many times.
  12 +}
  13 + s.email = %q{rockyb@rubyforge.net}
  14 + s.extra_rdoc_files = [
  15 + "README",
  16 + "lib/linecache.rb",
  17 + "lib/tracelines.rb"
  18 + ]
  19 + s.files = [
  20 + "AUTHORS",
  21 + "COPYING",
  22 + "ChangeLog",
  23 + "NEWS",
  24 + "README",
  25 + "Rakefile",
  26 + "VERSION",
  27 + "ext/extconf.rb",
  28 + "ext/trace_nums.c",
  29 + "ext/trace_nums.h",
  30 + "lib/linecache.rb",
  31 + "lib/tracelines.rb",
  32 + "test/short-file"
  33 + ]
  34 + s.files += Dir.glob("test/*.rb")
  35 + s.files += Dir.glob("test/data/*.rb")
  36 + s.homepage = %q{http://rubyforge.org/projects/rocky-hacks/linecache}
  37 + s.rdoc_options = ["--charset=UTF-8"]
  38 + s.require_paths = ["lib"]
  39 + s.required_ruby_version = Gem::Requirement.new(">= 1.8.2")
  40 + s.rubyforge_project = %q{rocky-hacks}
  41 + s.rubygems_version = %q{1.3.4}
  42 + s.summary = %q{Read file with caching}
  43 + s.test_files = [
  44 + "test/test-linecache.rb",
  45 + "test/test-tracelines.rb"
  46 + ]
  47 +
  48 + if s.respond_to? :specification_version then
  49 + current_version = Gem::Specification::CURRENT_SPECIFICATION_VERSION
  50 + s.specification_version = 3
  51 +
  52 + if Gem::Version.new(Gem::RubyGemsVersion) >= Gem::Version.new('1.2.0') then
  53 + else
  54 + end
  55 + else
  56 + end
  57 +end

0 comments on commit 432f225

Please sign in to comment.
Something went wrong with that request. Please try again.